Dracula: Resurrection

Informations

Creator Message
Dadu042

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 3055
Wine: 3.0.3

Feedbacks

Description

Graphic adventure game, 1999.

This game received a Steam adaptation in 2014.

Wikipedia . PCGamingWiki.

Screenshots

MiniatureMiniature

Source code

#!/bin/bash
# Date : (2019-10-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: - CD-ROM, v1.0 ? (folders date: october 2000). I have not tested the Steam edition (2014).
#                  - GOG v2.1.0.5
#
# Middlewares used by this software : DirectX 6, Phoenix VR, IndeoVideo 5.
#
# CHANGELOG
# [Dadu042] (2019-10-25)
#   First script.
# [Dadu042] (2019-10-26)
#   Comments added.
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.3, 4.0.2: installer does crash after the 3rd window, it fail the select the right destination pathname (folder), this is because the installer fail to read correctly (to parse) the file 'Install.ini'. Tried: POL_Install_riched30, riched20, msxml3, msxml6, mfc42, mdac28. Workaround: do type 'C:\DRAC'.
#  - GOG edition (v2.1.0.5) + Wine amd64 3.0.3, 3.21, 4.0.2 : display is half vertical (down to the bottom), make it impossible to play. Happened on GPU Intel HD 4400 (1366x768, Ubuntu 18.04). Tried: disable GLSL, OpenGL, ect.

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
    
TITLE="Dracula: Resurrection"
PREFIX="Dracula_Resurrection"
EDITOR="Nobilis"
GAME_URL="https://en.wikipedia.org/wiki/Dracula:_Resurrection"
AUTHOR="Dadu042"
STEAM_ID="289800"
WORKING_WINE_VERSION="3.0.3"
GAME_VMS="256"
SHORTCUT_FILENAME="Dracula.exe"
SOFTWARE_CATEGORIES="Game;StrategyGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
   
# Starting the script
POL_SetupWindow_Init
       
# Starting debugging API
POL_Debug_Init
      
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
    
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
     
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
 
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
Set_OS "winxp"
   
# Installing mandatory dependencies

# POL_Call POL_Install_mdac28
# POL_Call POL_Install_msxml3
# POL_Call POL_Install_riched30

# For the game 'Warlike Flyboys - WW3'
# POL_Call POL_Install_amstream
# POL_Call POL_Install_quartz


# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "DVD,LOCAL"

# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
   
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
    
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
    
        POL_SetupWindow_check_cdrom "Install.EXE"

        POL_SetupWindow_message "$(eval_gettext 'WARNING: you must change the destination pathname to C:\DRAC (type it).')" "$TITLE"

        POL_Wine start /unix "$CDROM/Install.EXE"
        POL_Wine_WaitExit "Install.EXE"

        # Restore screen resolution (game's default is 800x600 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "http://files.myplaycity.com/files_downloader_temp/warlikeflyboys_setup.exe"
        POL_Wine "warlikeflyboys_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"

        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"

        POL_Shortcut "game.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut "Soldier vs Aliens.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"   # Displays a advertisement before the game.
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
 
        # Restore screen resolution (game's default is 1024x768)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
#        POL_Shortcut_Document "$TITLE" "Readme.txt"
 
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
             
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
 
################
#      GPU     #
################
 
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
 
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx


 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : -d3d,-d3d8')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Saturday 26 October 2019 at 18:10
Dadu042

Information

This update has been approved by the team.

Differences

@@ -7,16 +7,20 @@
 # Licence : Retail
 # Only For : http://www.playonlinux.com
 #
-# TESTED Editions: CD-ROM v1.0 ? (folders date: october 2000). I have not tested the Steam edition (2014).
+# TESTED Editions: - CD-ROM, v1.0 ? (folders date: october 2000). I have not tested the Steam edition (2014).
+#                  - GOG v2.1.0.5
 #
 # Middlewares used by this software : DirectX 6, Phoenix VR, IndeoVideo 5.
 #
 # CHANGELOG
 # [Dadu042] (2019-10-25)
 #   First script.
+# [Dadu042] (2019-10-26)
+#   Comments added.
 #
 # KNOWN ISSUES:
-#  - Wine amd64 3.0.3, 4.0.2: installer does crash after the 3rd window, it fail the select the right destination pathname (folder), this is because the installer fail to read correctly (to parse) the file 'Install.ini'. Tried: POL_Install_riched30, msxml6, mfc42. Workaround: do type 'C:\DRA'.
+#  - Wine amd64 3.0.3, 4.0.2: installer does crash after the 3rd window, it fail the select the right destination pathname (folder), this is because the installer fail to read correctly (to parse) the file 'Install.ini'. Tried: POL_Install_riched30, riched20, msxml3, msxml6, mfc42, mdac28. Workaround: do type 'C:\DRAC'.
+#  - GOG edition (v2.1.0.5) + Wine amd64 3.0.3, 3.21, 4.0.2 : display is half vertical (down to the bottom), make it impossible to play. Happened on GPU Intel HD 4400 (1366x768, Ubuntu 18.04). Tried: disable GLSL, OpenGL, ect.
 
 # Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
  
@@ -64,6 +68,10 @@
    
 # Installing mandatory dependencies
 
+# POL_Call POL_Install_mdac28
+# POL_Call POL_Install_msxml3
+# POL_Call POL_Install_riched30
+
 # For the game 'Warlike Flyboys - WW3'
 # POL_Call POL_Install_amstream
 # POL_Call POL_Install_quartz
@@ -98,7 +106,7 @@
     
         POL_SetupWindow_check_cdrom "Install.EXE"
 
-        POL_SetupWindow_message "$(eval_gettext 'Note: you must change (type it) the destination pathname to C:\DRAC\')" "$TITLE"
+        POL_SetupWindow_message "$(eval_gettext 'WARNING: you must change the destination pathname to C:\DRAC (type it).')" "$TITLE"
 
         POL_Wine start /unix "$CDROM/Install.EXE"
         POL_Wine_WaitExit "Install.EXE"
@@ -166,7 +174,7 @@
 # POL_SetupWindow_VMS $GAME_VMS
 
 # Set Graphic Card information keys for wine
-POL_Wine_SetVideoDriver
+# POL_Wine_SetVideoDriver
  
 # Useful for Nvidia GPUs
 # POL_Call POL_Install_physx

New source code

#!/bin/bash
# Date : (2019-10-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: - CD-ROM, v1.0 ? (folders date: october 2000). I have not tested the Steam edition (2014).
#                  - GOG v2.1.0.5
#
# Middlewares used by this software : DirectX 6, Phoenix VR, IndeoVideo 5.
#
# CHANGELOG
# [Dadu042] (2019-10-25)
#   First script.
# [Dadu042] (2019-10-26)
#   Comments added.
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.3, 4.0.2: installer does crash after the 3rd window, it fail the select the right destination pathname (folder), this is because the installer fail to read correctly (to parse) the file 'Install.ini'. Tried: POL_Install_riched30, riched20, msxml3, msxml6, mfc42, mdac28. Workaround: do type 'C:\DRAC'.
#  - GOG edition (v2.1.0.5) + Wine amd64 3.0.3, 3.21, 4.0.2 : display is half vertical (down to the bottom), make it impossible to play. Happened on GPU Intel HD 4400 (1366x768, Ubuntu 18.04). Tried: disable GLSL, OpenGL, ect.

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
    
TITLE="Dracula: Resurrection"
PREFIX="Dracula_Resurrection"
EDITOR="Nobilis"
GAME_URL="https://en.wikipedia.org/wiki/Dracula:_Resurrection"
AUTHOR="Dadu042"
STEAM_ID="289800"
WORKING_WINE_VERSION="3.0.3"
GAME_VMS="256"
SHORTCUT_FILENAME="Dracula.exe"
SOFTWARE_CATEGORIES="Game;StrategyGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
   
# Starting the script
POL_SetupWindow_Init
       
# Starting debugging API
POL_Debug_Init
      
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
    
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
     
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
 
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
Set_OS "winxp"
   
# Installing mandatory dependencies

# POL_Call POL_Install_mdac28
# POL_Call POL_Install_msxml3
# POL_Call POL_Install_riched30

# For the game 'Warlike Flyboys - WW3'
# POL_Call POL_Install_amstream
# POL_Call POL_Install_quartz


# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "DVD,LOCAL"

# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
   
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
    
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
    
        POL_SetupWindow_check_cdrom "Install.EXE"

        POL_SetupWindow_message "$(eval_gettext 'WARNING: you must change the destination pathname to C:\DRAC (type it).')" "$TITLE"

        POL_Wine start /unix "$CDROM/Install.EXE"
        POL_Wine_WaitExit "Install.EXE"

        # Restore screen resolution (game's default is 800x600 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "http://files.myplaycity.com/files_downloader_temp/warlikeflyboys_setup.exe"
        POL_Wine "warlikeflyboys_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"

        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"

        POL_Shortcut "game.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut "Soldier vs Aliens.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"   # Displays a advertisement before the game.
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
 
        # Restore screen resolution (game's default is 1024x768)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
#        POL_Shortcut_Document "$TITLE" "Readme.txt"
 
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
             
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
 
################
#      GPU     #
################
 
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
 
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx


 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : -d3d,-d3d8')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Friday 25 October 2019 at 0:15
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Tested 5 min

Differences

@@ -0,0 +1,183 @@
+#!/bin/bash
+# Date : (2019-10-25)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : Ubuntu 18.04 x64
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: CD-ROM v1.0 ? (folders date: october 2000). I have not tested the Steam edition (2014).
+#
+# Middlewares used by this software : DirectX 6, Phoenix VR, IndeoVideo 5.
+#
+# CHANGELOG
+# [Dadu042] (2019-10-25)
+#   First script.
+#
+# KNOWN ISSUES:
+#  - Wine amd64 3.0.3, 4.0.2: installer does crash after the 3rd window, it fail the select the right destination pathname (folder), this is because the installer fail to read correctly (to parse) the file 'Install.ini'. Tried: POL_Install_riched30, msxml6, mfc42. Workaround: do type 'C:\DRA'.
+
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+ 
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+    
+TITLE="Dracula: Resurrection"
+PREFIX="Dracula_Resurrection"
+EDITOR="Nobilis"
+GAME_URL="https://en.wikipedia.org/wiki/Dracula:_Resurrection"
+AUTHOR="Dadu042"
+STEAM_ID="289800"
+WORKING_WINE_VERSION="3.0.3"
+GAME_VMS="256"
+SHORTCUT_FILENAME="Dracula.exe"
+SOFTWARE_CATEGORIES="Game;StrategyGame;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+   
+# Starting the script
+POL_SetupWindow_Init
+       
+# Starting debugging API
+POL_Debug_Init
+      
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+    
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+    
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+     
+POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+      
+# Determine Architecture
+# POL_System_SetArch "amd64"
+POL_System_SetArch "x86"
+ 
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+    
+Set_OS "winxp"
+   
+# Installing mandatory dependencies
+
+# For the game 'Warlike Flyboys - WW3'
+# POL_Call POL_Install_amstream
+# POL_Call POL_Install_quartz
+
+
+# POL_Call POL_Install_phzysx
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+    
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "DVD,LOCAL"
+
+# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
+   
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+    
+elif [ "$INSTALL_METHOD" == "DVD" ];then
+        POL_SetupWindow_cdrom
+    
+        POL_SetupWindow_check_cdrom "Install.EXE"
+
+        POL_SetupWindow_message "$(eval_gettext 'Note: you must change (type it) the destination pathname to C:\DRAC\')" "$TITLE"
+
+        POL_Wine start /unix "$CDROM/Install.EXE"
+        POL_Wine_WaitExit "Install.EXE"
+
+        # Restore screen resolution (game's default is 800x600 ?)
+        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+   
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+    
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
+        POL_Download "http://files.myplaycity.com/files_downloader_temp/warlikeflyboys_setup.exe"
+        POL_Wine "warlikeflyboys_setup.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+
+        POL_Shortcut "game.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut "Soldier vs Aliens.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"   # Displays a advertisement before the game.
+ 
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+         
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+ 
+        # Restore screen resolution (game's default is 1024x768)
+        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+ 
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+#        POL_Shortcut_Document "$TITLE" "Readme.txt"
+ 
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+             
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+ 
+################
+#      GPU     #
+################
+ 
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+ 
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+
+
+ 
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+ 
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : -d3d,-d3d8')" "$TITLE"
+   
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2019-10-25)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: CD-ROM v1.0 ? (folders date: october 2000). I have not tested the Steam edition (2014).
#
# Middlewares used by this software : DirectX 6, Phoenix VR, IndeoVideo 5.
#
# CHANGELOG
# [Dadu042] (2019-10-25)
#   First script.
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.3, 4.0.2: installer does crash after the 3rd window, it fail the select the right destination pathname (folder), this is because the installer fail to read correctly (to parse) the file 'Install.ini'. Tried: POL_Install_riched30, msxml6, mfc42. Workaround: do type 'C:\DRA'.

# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
    
TITLE="Dracula: Resurrection"
PREFIX="Dracula_Resurrection"
EDITOR="Nobilis"
GAME_URL="https://en.wikipedia.org/wiki/Dracula:_Resurrection"
AUTHOR="Dadu042"
STEAM_ID="289800"
WORKING_WINE_VERSION="3.0.3"
GAME_VMS="256"
SHORTCUT_FILENAME="Dracula.exe"
SOFTWARE_CATEGORIES="Game;StrategyGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
   
# Starting the script
POL_SetupWindow_Init
       
# Starting debugging API
POL_Debug_Init
      
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
    
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
     
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
 
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
Set_OS "winxp"
   
# Installing mandatory dependencies

# For the game 'Warlike Flyboys - WW3'
# POL_Call POL_Install_amstream
# POL_Call POL_Install_quartz


# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
    
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "DVD,LOCAL"

# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
   
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
    
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
    
        POL_SetupWindow_check_cdrom "Install.EXE"

        POL_SetupWindow_message "$(eval_gettext 'Note: you must change (type it) the destination pathname to C:\DRAC\')" "$TITLE"

        POL_Wine start /unix "$CDROM/Install.EXE"
        POL_Wine_WaitExit "Install.EXE"

        # Restore screen resolution (game's default is 800x600 ?)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
   
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "http://files.myplaycity.com/files_downloader_temp/warlikeflyboys_setup.exe"
        POL_Wine "warlikeflyboys_setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"

        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"

        POL_Shortcut "game.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut "Soldier vs Aliens.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"   # Displays a advertisement before the game.
 
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
         
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
 
        # Restore screen resolution (game's default is 1024x768)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
#        POL_Shortcut_Document "$TITLE" "Readme.txt"
 
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
             
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
 
################
#      GPU     #
################
 
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
 
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx


 
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
 
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : -d3d,-d3d8')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies